what4-1.5.1: Solver-agnostic symbolic values support for issuing queries

Safe Haskell | Safe-Inferred
Language | Haskell2010

What4.Utils.Versions

Synopsis

- ver :: Text -> Q Exp
- data SolverBounds = SolverBounds {
  - lower :: Maybe Version
  - upper :: Maybe Version
  - recommended :: Maybe Version
  }
- emptySolverBounds :: SolverBounds
- parseSolverBounds :: FilePath -> IO [(Text, SolverBounds)]
- computeDefaultSolverBounds :: Q Exp

# Documentation

ver :: Text -> Q Exp Source #

data SolverBounds Source #

Constructors

SolverBounds |

Fields

- lower :: Maybe Version
- upper :: Maybe Version
- recommended :: Maybe Version

#### Instances

Instances details

Lift SolverBounds Source # |
Instance details Defined in What4.Utils.Versions Methods lift :: Quote m => SolverBounds -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => SolverBounds -> Code m SolverBounds Source #

emptySolverBounds :: SolverBounds Source #

parseSolverBounds :: FilePath -> IO [(Text, SolverBounds)] Source #

This method parses configuration files describing the upper and lower bounds of solver versions we expect to work correctly with What4. See the file "solverBounds.config" for examples of how such bounds are specified.

computeDefaultSolverBounds :: Q Exp Source #